Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class BaseArtifact

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.BaseArtifact

Direct Known Subclasses:
  WorkTypeArtifact

    public class BaseArtifact

extends java.lang.Object

Holds artifactName, version, createdOn, modifiedOn, workTypeUid & artifactType

©2014 TIBCO Software Inc.

Since:
  3.0

Constructor Summary
`BaseArtifact()`

Method Summary
`java.lang.String` | `getArtifactName()`
`java.lang.String` | `getArtifactType()`
`java.lang.String` | `getCreatedOn()`
`java.lang.String` | `getModifiedOn()`
`java.lang.String` | `getVersion()`
`java.lang.String` | `getWorkTypeUid()`
`void` | `setArtifactName(java.lang.String artifactName)`
`void` | `setArtifactType(java.lang.String artifactType)`
`void` | `setCreatedOn(java.lang.String createdOn)`
`void` | `setModifiedOn(java.lang.String modifiedOn)`
`void` | `setVersion(java.lang.String version)`
`void` | `setWorkTypeUid(java.lang.String workTypeUid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseArtifact

    public BaseArtifact()

Method Detail

### getArtifactName

    public java.lang.String getArtifactName()

### setArtifactName

    public void setArtifactName(java.lang.String artifactName)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getCreatedOn

    public java.lang.String getCreatedOn()

### setCreatedOn

    public void setCreatedOn(java.lang.String createdOn)

### getModifiedOn

    public java.lang.String getModifiedOn()

### setModifiedOn

    public void setModifiedOn(java.lang.String modifiedOn)

### getWorkTypeUid

    public java.lang.String getWorkTypeUid()

### setWorkTypeUid

    public void setWorkTypeUid(java.lang.String workTypeUid)

### getArtifactType

    public java.lang.String getArtifactType()

### setArtifactType

    public void setArtifactType(java.lang.String artifactType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.